Bug 1473770 - Cinder volume not attaching to the Pod
Cinder volume not attaching to the Pod
Status: CLOSED ERRATA
Product: OpenShift Container Platform
Classification: Red Hat
Component: Storage (Show other bugs)
3.5.0
Unspecified Unspecified
unspecified Severity unspecified
: ---
: 3.7.0
Assigned To: Bradley Childs
Qin Ping
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2017-07-21 11:06 EDT by jliberma@redhat.com
Modified: 2017-11-28 17:05 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2017-11-28 17:05:05 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2017:3188 normal SHIPPED_LIVE Moderate: Red Hat OpenShift Container Platform 3.7 security, bug, and enhancement update 2017-11-28 21:34:54 EST

  None (edit)
Description jliberma@redhat.com 2017-07-21 11:06:44 EDT
Description of problem:

Cinder volume gets attached to a kubernetes worker node but not to a pod.

This bug is already fixed upstream.

This Red Hat internal bug is to track the issue and ensure we consume the upstream fix.

Version-Release number of selected component (if applicable):

OCP 3.5, RHEL 7.3, OSP 9 (Mitaka)

How reproducible:

Every time.

Steps to Reproduce:

Use openstack as a cloud provider and create a pod with Cinder backed volume - either using a PersistentVolumeClaim or directly in a pod definition.

Actual results:

After manually detaching Cinder volume from an Openstack instance, it get's attached again and the error repeats.

Expected results:

Cinder volume gets mounted to a pod and pod goes to a 'Running' state

Additional info:

This is the upstream bug report and workaround: 

https://github.com/kubernetes/kubernetes/issues/34698#issuecomment-282129378

This is the upstream fix: 

https://github.com/kubernetes/kubernetes/pull/41498

This is a related bug but not the same issue: 

Attach but fail to verify cinder volume: https://bugzilla.redhat.com/show_bug.cgi?id=1427701
Comment 1 Eric Paris 2017-07-22 13:07:19 EDT
marking as resolved in 3.6 with the commit mentioned picked up in 1.6 rebase.
Comment 2 Eric Paris 2017-07-22 13:23:46 EDT
sorry, 3.7 rebase, not 3.6
Comment 4 Qin Ping 2017-10-09 03:58:04 EDT
Can not reproduce the bug on version:
openshift v3.7.0-0.144.2
kubernetes v1.7.6+a08f5eeb62
Comment 7 errata-xmlrpc 2017-11-28 17:05:05 EST
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2017:3188

Note You need to log in before you can comment on or make changes to this bug.